{ pkgs, config, ... }:

{
  imports = [ ./default.nix ];

  age.secrets.nolan.file = ../../secrets/nolan.age;

  users.users.nolan = {
    hashedPasswordFile = config.age.secrets.nolan.path;
    packages = with pkgs; [ unstable.firefoxpwa ];
  };

  home-manager.users.nolan = {
    programs = {
      firefox = {
        enable = true;
        package = pkgs.firefox.override {
          nativeMessagingHosts = with pkgs; [
            unstable.firefoxpwa
            gnome-browser-connector
          ];
        };
      };
    };
  };
}
